import numpy as np
from sklearn.datasets import load_svmlight_file


def loada9a(address='dataset/a9a'):
    X_sparse, Y = load_svmlight_file(address)
    X = X_sparse.todense()
    return X[0:20000], np.asmatrix(Y[0:20000]).T, X[20000:], np.asmatrix(Y[20000:]).T
